#!/usr/bin/env bash

### Включаем через elma365ctl
return 0;

ARCH=$(uname -m)
case $ARCH in
  armv7*) ARCH="arm";;
  aarch64) ARCH="arm64";;
  x86_64) ARCH="amd64";;
esac

LINKERD_VERSION="2.10.2"
SNAP_DATA=/var/snap/microk8s/current

sudo mkdir -p "$SNAP_DATA/bin"
sudo /usr/bin/curl -L https://github.com/linkerd/linkerd2/releases/download/stable-${LINKERD_VERSION}/linkerd2-cli-stable-${LINKERD_VERSION}-linux-${ARCH} -o "$SNAP_DATA/bin/linkerd"
sudo chmod uo+x "$SNAP_DATA/bin/linkerd"
