#!/usr/bin/env bash

currentBin="/usr/local/bin/elma365ctl"
oldconfig="/etc/elma365/elma365.yaml"

if [[ -f "$currentBin" ]]; then
  installedversion=$($currentBin version | cut -c1-5)
  if [[ "$installedversion" == "Version:"* ]]; then
    installedversion="0.2.8"
  fi
fi

if [[ -f "$oldconfig" ]]; then
  echo "Found ELMA365: $installedversion version. Upgrade from this version impossible. See instruction for updgrading to newer versions"
  return 1; 
fi

return 0;
