#!/usr/bin/env bash

if [ "$ELMA365_INSTALL_MODE" != "install" ] || [ "$ELMA365_EDITION" != "enterprise" ]; then
  return 0;
fi

echo "Installing system metric dashboard"
while true
do
  microk8s enable prometheus > /dev/null 2>&1 && break
  sleep 5
done

scriptdir="$( dirname "${BASH_SOURCE[0]}" )"
gyaml=$scriptdir/grafana-nodeport.yaml

microk8s kubectl apply -n monitoring -f "${gyaml}" > /dev/null
