#!/usr/bin/env bash

if cat /etc/fstab | grep swap | grep -q -v '#'; then
  echo -e "\e[93mNotice: We recommend disabling SWAP for the application to work correctly!!!\e[0m"
  echo -e "\e[93mPress [ENTER] to continue...\e[0m"
  read -n 1 key
  if [ "$key" = "" ]; then
    return 0
  else
    echo "Terminated"
    return 1
  fi
fi
