#!/usr/bin/env bash

if [ "$ELMA365_INSTALL_MODE" != "install" ]; then
  return 0;
fi

export PGPASS=$(tr -cd '0-9a-zA-Z' < /dev/urandom | fold -w16 | head -n1)
export PGROOTPASS=$(tr -cd '0-9a-zA-Z' < /dev/urandom | fold -w16 | head -n1)
export RMQPASS=$(tr -cd '0-9a-zA-Z' < /dev/urandom | fold -w16 | head -n1)
export MONGOPASS=$(tr -cd '0-9a-zA-Z' < /dev/urandom | fold -w16 | head -n1)
export MONGOROOTPASS=$(tr -cd '0-9a-zA-Z' < /dev/urandom | fold -w16 | head -n1)

microk8s kubectl -n elma365-system create secret generic elma365-dbpass --from-literal=postgresql="${PGPASS}" --from-literal=mongodb="${MONGOPASS}" --from-literal=mongodbroot="${MONGOROOTPASS}" --from-literal=rabbitmq="${RMQPASS}" > /dev/null 2>&1 || true