#!/usr/bin/env bash

# microk8s kubectl annotate ns default linkerd.io/inject=enabled
microk8s kubectl label node --all elma365.com/backup=true --overwrite=true

# При сборке сюда должно копироваться elma365ctl.yaml
scriptdir="$( dirname "${BASH_SOURCE[0]}" )"
yamlfile=$scriptdir/elma365ctl.yaml

microk8s kubectl create ns elma365-system > /dev/null 2>&1 || true
microk8s kubectl apply -n elma365-system -f "${yamlfile}" > /dev/null 2>&1 || true
